# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2021-05-25 18:14
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0057_auto_20210415_1748'),
        ('reports', '0003_auto_20210305_0916'),
    ]

    operations = [
        migrations.CreateModel(
            name='ServiceChangeStatusLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'Activo'), (2, 'Por Retirar'), (3, 'Retirado'), (4, 'No Instalado'), (5, 'Canje'), (6, 'Instalación Rechazada'), (7, 'Moroso'), (8, 'Cambio de Titular'), (9, 'Descartado'), (10, 'Baja Temporal'), (11, 'Perdido, no se pudo retirar')])),
                ('prev_status', models.PositiveSmallIntegerField(choices=[(1, 'Activo'), (2, 'Por Retirar'), (3, 'Retirado'), (4, 'No Instalado'), (5, 'Canje'), (6, 'Instalación Rechazada'), (7, 'Moroso'), (8, 'Cambio de Titular'), (9, 'Descartado'), (10, 'Baja Temporal'), (11, 'Perdido, no se pudo retirar')])),
                ('address', models.CharField(max_length=255, verbose_name='address')),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'HSU'), (2, 'Fibra')], default=1, verbose_name='Categoria')),
                ('empresa', models.BooleanField(default=False)),
                ('plan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.Plan', verbose_name='plan')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.Service', verbose_name='service')),
            ],
        ),
    ]
